<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call(CompanySeeder::class);
        $this->call(BranchSeeder::class);
        $this->call(UserSeeder::class);
        $this->call(RoleSeeder::class);
        $this->call(PermissionSeeder::class);
        $this->call(PermissionRoleSeeder::class);
        $this->call(RoleUserSeeder::class);
        $this->call(UserPermissionSeeder::class);
        $this->call(DepartmentSeeder::class);
        $this->call(JobTitleSeeder::class);
        $this->call(WarehouseSeeder::class);
        $this->call(InventoryCategorySeeder::class);
        $this->call(PaymentMethodSeeder::class);
        $this->call(TaxSettingSeeder::class);
        $this->call(TaxBracketSeeder::class);
        $this->call(Manager3ProjectPhasesPermissionsSeeder::class);
        $this->call(InventoryUnitsSeeder::class);
        $this->call(InventoryUnitsPermissionsSeeder::class);
        $this->call(CashRegisterPermissionsSeeder::class);
        $this->call(AccountingPermissionsSeeder::class);
        $this->call(ChartOfAccountsSeeder::class);
        $this->call(BankingPermissionsSeeder::class);
        $this->call(CompanySettingsPermissionsSeeder::class);
        $this->call(ElevatorStagesPermissionsSeeder::class);
        $this->call(WorkOrderPermissionsSeeder::class);
        $this->call(InventoryIssuePermissionsSeeder::class);
        $this->call(ZatcaPermissionsSeeder::class);
    }
}
